Subject: Re: [bug#48924] Add systemd

From: Efraim Flashner <[email-masked]>
Date: Sun, 13 Jun 2021 10:31:19 +0300

On Fri, Jun 11, 2021 at 07:11:18PM +0200, Leo Prikler wrote:
> Hi,
> 
> Am Freitag, den 11.06.2021, 18:39 +0200 schrieb Ludovic Courtès:
> > > This was in part already discussed in IRC, but to reiterate, I
> > > think
> > > that the systemd package should be usable in some capacity -- be
> > > it,
> > > that we can run systemd as user daemons or be it, that we can
> > > *meaningfully* link free software against it.  Note however, that
> > > the
> > > latter most likely implies the first, since there's no meaningful
> > > linkage against systemd without one of its daemons running.
> > 
> > Given the maintenance cost, we’d need a more convincing argument than
> > “should be usable”.  :-)
> > 
> > So it seems to me that we’re done with it as far as inclusion in Guix
> > is concerned.  Thoughts?
> > 
> > It’s typically a situation where an external channel is more
> > appropriate, IMO.
> I'm definitely leaning towards not including it as-is/perhaps having it
> in an external channel as well, but I don't think "high maintenance"
> should generally be a deterrent against a functioning package (or
> rather the only reason to keep a package from being included).  Guix
> already has packages, that I would consider to be of higher
> maintenance, e.g. GNOME, and I do think it would help Guix users if
> (parts of) systemd became a viable option.  I am simply doubting the
> functionality of this package as it currently exists.
> 
> That said, I don't think myself to be in a place to make accurate
> judgements about entry requirements.  I suggested “should be usable” as
> a bare minimum because it seemed easy to convey.  There are also other
> things to consider, like coding style, adherence to packaging
> guidelines, etc. with maintainability somewhere among them, but I can't
> really phrase all of those well into a simple sentence.  I also think
> that some reviewer should be able to take an already functioning
> package description and perform cosmetic changes to transform it into
> one better suited for Guix, though that might be a bit of a
> controversial statement.
> 
> Regards,
> Leo
> 

I'd also argue that some of the bioinformatics packages are high
maintenance and no one likes having to update them.

One thing that I've noticed with elogind is that it doesn't interact
will with systemd-logind on other machines. Any loginctl command
normally fails because the version we have looks in /var/lib/elogind and
systemd uses /var/lib/systemd.

It would also be useful to figure out how to run user level systemd
services, likely using systemd itself, for those who are interested in
doing so.

I've heard that systemd is modular, in that at compile time it's
possible to choose which modules to build. Perhaps we can build a subset
which are actually useful for us?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted